<template>
  <header class="bg-white shadow-sm">
    <div class="container m-auto flex items-center justify-between py-4">
      <nuxt-link to="/">
        <t-h1 size="text-2xl">Company Name</t-h1>
      </nuxt-link>
      <div class="flex items-center space-x-2">
        <search-dialog></search-dialog>
        <lookup-dialog></lookup-dialog>
      </div>
    </div>
  </header>
</template>

<script>
import TH1 from '~/components/shared/typography/H1'
import SearchDialog from '~/components/search/SearchDialog.vue'
import LookupDialog from '~/components/lookup/LookupDialog.vue'

export default {
  components: { TH1, SearchDialog, LookupDialog },
}
</script>